Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class CompositeNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.CompositeNodeInstance

All Implemented Interfaces:
  Serializable, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, EventListener, NodeInstance, NodeInstanceContainer

Direct Known Subclasses:
  CompositeContextNodeInstance

    public class CompositeNodeInstance

extends StateBasedNodeInstance
implements NodeInstanceContainer, EventNodeInstanceInterface, EventBasedNodeInstanceInterface

Runtime counterpart of a composite node.

See Also:
  Serialized Form

Nested Class Summary
`class` | `CompositeNodeInstance.CompositeNodeEndInstance`
`class` | `CompositeNodeInstance.CompositeNodeStartInstance`

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary

Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`PARAMETER_MATCHER`

Constructor Summary
`CompositeNodeInstance()`

Method Summary
`void` | `addEventListeners()`
`void` | `addNodeInstance(NodeInstance nodeInstance)`
`void` | `cancel()`
`protected CompositeNode` | `getCompositeNode()`
`int` | `getCurrentLevel()`
`NodeInstance` | `getFirstNodeInstance(long nodeId)`
`Map<String,Integer>` | `getIterationLevels()`
`int` | `getLevelForNode(String uniqueID)`
`NodeContainer` | `getNodeContainer()`
`NodeInstance` | `getNodeInstance(long nodeInstanceId)` Returns the node instance with the given id, or `null` if the node instance cannot be found.
`NodeInstance` | `getNodeInstance(Node node)`
`Collection<NodeInstance>` | `getNodeInstances()` Returns all node instances that are currently active within this container.
`Collection<NodeInstance>` | `getNodeInstances(boolean recursive)`
`List<NodeInstance>` | `getNodeInstances(long nodeId)`
`List<NodeInstance>` | `getNodeInstances(long nodeId, List<NodeInstance> currentView)`
`int` | `getState()`
`void` | `internalTrigger(NodeInstance from, String type)`
`protected void` | `internalTriggerOnlyParent(NodeInstance from, String type)`
`protected boolean` | `isLinkedIncomingNodeRequired()`
`void` | `nodeInstanceCompleted(NodeInstance nodeInstance, String outType)`
`void` | `removeEventListeners()`
`void` | `removeNodeInstance(NodeInstance nodeInstance)`
`void` | `setCurrentLevel(int currentLevel)`
`void` | `setProcessInstance(WorkflowProcessInstance processInstance)`
`void` | `setState(int state)`
`void` | `signalEvent(String type, Object event)` Signals that an event has occurred.
`void` | `triggerCompleted(String outType)`

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeNodeInstance

    public CompositeNodeInstance()

Method Detail

### getLevelForNode

    public int getLevelForNode(String uniqueID)

### setProcessInstance

    public void setProcessInstance(WorkflowProcessInstance processInstance)

  Overrides:
    `setProcessInstance` in class `NodeInstanceImpl`

### getCompositeNode

    protected CompositeNode getCompositeNode()

### getNodeContainer

    public NodeContainer getNodeContainer()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `StateBasedNodeInstance`

### internalTriggerOnlyParent

    protected void internalTriggerOnlyParent(NodeInstance from,
                                             String type)

### isLinkedIncomingNodeRequired

    protected boolean isLinkedIncomingNodeRequired()

### triggerCompleted

    public void triggerCompleted(String outType)

### cancel

    public void cancel()

  Overrides:
    `cancel` in class `StateBasedNodeInstance`

### addNodeInstance

    public void addNodeInstance(NodeInstance nodeInstance)

### removeNodeInstance

    public void removeNodeInstance(NodeInstance nodeInstance)

### getNodeInstances

    public Collection<NodeInstance> getNodeInstances()

  Description copied from interface: `NodeInstanceContainer`
  Returns all node instances that are currently active within this container.

  Specified by:
    `getNodeInstances` in interface `NodeInstanceContainer`
  Returns:
    the list of node instances currently active

### getNodeInstances

    public Collection<NodeInstance> getNodeInstances(boolean recursive)

### getNodeInstance

    public NodeInstance getNodeInstance(long nodeInstanceId)

  Description copied from interface: `NodeInstanceContainer`
  Returns the node instance with the given id, or `null` if the node instance cannot be found.

  Specified by:
    `getNodeInstance` in interface `NodeInstanceContainer`
  Returns:
    the node instance with the given id

### getFirstNodeInstance

    public NodeInstance getFirstNodeInstance(long nodeId)

### getNodeInstance

    public NodeInstance getNodeInstance(Node node)

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Description copied from interface: `EventListener`
  Signals that an event has occurred. The type parameter defines which type of event and the event parameter can contain additional information related to the event.

  Specified by:
    `signalEvent` in interface `EventNodeInstanceInterface`
  Specified by:
    `signalEvent` in interface `EventListener`
  Overrides:
    `signalEvent` in class `StateBasedNodeInstance`
  Parameters:
    `type` - the type of event
    `event` - the data associated with this event

### getNodeInstances

    public List<NodeInstance> getNodeInstances(long nodeId)

### getNodeInstances

    public List<NodeInstance> getNodeInstances(long nodeId,
                                               List<NodeInstance> currentView)

### addEventListeners

    public void addEventListeners()

  Specified by:
    `addEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `addEventListeners` in class `StateBasedNodeInstance`

### removeEventListeners

    public void removeEventListeners()

  Specified by:
    `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `removeEventListeners` in class `StateBasedNodeInstance`

### nodeInstanceCompleted

    public void nodeInstanceCompleted(NodeInstance nodeInstance,
                                      String outType)

### setState

    public void setState(int state)

### getState

    public int getState()

### getCurrentLevel

    public int getCurrentLevel()

### setCurrentLevel

    public void setCurrentLevel(int currentLevel)

### getIterationLevels

    public Map<String,Integer> getIterationLevels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.